Package tigase.kernel.core

## Enum BeanConfig.State

- java.lang.Object
- - java.lang.Enum<BeanConfig.State>
  - - tigase.kernel.core.BeanConfig.State

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<BeanConfig.State>`
  Enclosing class:
    BeanConfig

      public static enum BeanConfig.State
      extends java.lang.Enum<BeanConfig.State>

  State of bean.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `inactive` | Bean class is registered, but it CANNOT be used!!!
    `initialized` | Bean is initialized and ready to use.
    `instanceCreated` | Instance of bean is created, but bean isn't initialized.
    `registered` | Bean class is registered, but instance of bean isn't created yet.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static BeanConfig.State` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static BeanConfig.State[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### initialized

          public static final BeanConfig.State initialized

      Bean is initialized and ready to use.

    - #### instanceCreated

          public static final BeanConfig.State instanceCreated

      Instance of bean is created, but bean isn't initialized.

    - #### registered

          public static final BeanConfig.State registered

      Bean class is registered, but instance of bean isn't created yet.

    - #### inactive

          public static final BeanConfig.State inactive

      Bean class is registered, but it CANNOT be used!!! Should be treated as not registered at all.

  - ### Method Detail

    - #### values

          public static BeanConfig.State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BeanConfig.State c : BeanConfig.State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BeanConfig.State valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null